package cn.sikey.mcdisk.dal.mysql;

import cn.sikey.mcdisk.dal.dataobject.InviteFamilyMemberDO;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

/**
 * @Author: nelson
 * @Date: 2025/6/5
 * @Description: 邀请用户加入家庭成员
 */
@Mapper
public interface InviteFamilyMemberMapper extends BaseMapper<InviteFamilyMemberDO> {
    default InviteFamilyMemberDO queryAppOauth(String userId, String deviceId) {
        QueryWrapper<InviteFamilyMemberDO> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("user_id", userId);
        queryWrapper.eq("device_id", deviceId);
        return selectOne(queryWrapper);
    }
}
